<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/primodaltemplate.xhtml">
		<ui:define name="title">
			<h:outputText value="#{facesContext.translate('title.study.metadata.edit', studyModel.variable.name)}" />
		</ui:define>
		<ui:define name="body">
			<p:dataTable value="#{studyModel.variable.metadatalist}" var="m">
				<p:column headerText="#{facesContext.translate('label.study.variable.meta.referencevariable')}">
					<h:outputText value="#{studyModel.getNameOf(m.fkReferenceElement)}" />
				</p:column>
				<p:column headerText="#{facesContext.translate('label.study.variable.meta.type')}">
					<h:outputText value="#{m.metadataType.name}" />
				</p:column>
				<p:column headerText="">
					<ship:removeButton action="#{studyController.doRemoveMetadata(m.fkReferenceElement)}" tooltip="#{facesContext.translate('button.delete')}" immediate="true"
						approveButtonLabel="#{facesContext.translate('button.yes')}" cancelButtonLabel="#{facesContext.translate('button.no')}" title="#{facesContext.translate('title.delete.approve')}">
						<h:outputText value="#{facesContext.translate('confirmation.delete.meta', studyModel.getNameOf(m.fkReferenceElement))}" />
					</ship:removeButton>
				</p:column>
			</p:dataTable>
			<p:button value="#{facesContext.translate('button.add')}" icon="fa fa-plus" onclick="PF('metadatadlg').show();return;" />

			<p:dialog header="#{facesContext.translate('title.study.metadata.add', studyModel.variable.name)}" widgetVar="metadatadlg" closable="false" closeOnEscape="false" backdrop="false">
				<p:panelGrid id="addprocvars" columns="2">
					<h:outputText value="#{facesContext.translate('label.study.variable.meta.type')}" />
					<p:selectOneMenu id="metadatatype" value="#{studyModel.newMetadataBean.metadataTypeJson}" filter="true">
						<f:selectItem itemValue="" itemLabel="#{facesContext.translate('button.choose')}" />
						<f:selectItems value="#{studyModel.metadatatypes}" var="t" itemLabel="#{t.name} - #{t.description}" itemValue="#{t.toJson()}" />
					</p:selectOneMenu>
					<h:outputText value="#{facesContext.translate('label.study.variable.meta.variablelistparent')}" />
					<ship:buttongroup>
						<ui:repeat value="#{studyModel.parents}" var="b" varStatus="status">
							<p:commandButton id="btn_breadcrumb" action="#{studyController.toMetadata(b.id)}" value="#{b.name}"
								style="#{b.id == studyModel.variablelistParentId ? 'font-weight: bolder' : ''}" ajax="true" update="form:addprocvars" />
						</ui:repeat>
					</ship:buttongroup>
					<h:outputText value="#{facesContext.translate('label.study.variable.meta.referencevariable')}" />
					<p:selectOneMenu id="reference" value="#{studyModel.newMetadataBean.fkReferenceElement}" filter="true">
						<f:selectItem itemValue="" itemLabel="#{facesContext.translate('button.choose')}" />
						<f:selectItems value="#{studyModel.allReferenceVariables}" var="v" itemLabel="#{v.uniqueName}" itemValue="#{v.id}" />
					</p:selectOneMenu>
				</p:panelGrid>
				<ship:buttongroup>
					<p:commandButton id="btn_add" action="#{studyController.doAddMetadata}" value="#{facesContext.translate('button.add')}" ajax="false" />
					<p:button value="#{facesContext.translate('button.cancel')}" onclick="PF('metadatadlg').hide();" />
				</ship:buttongroup>
			</p:dialog>
		</ui:define>
		<ui:define name="formbuttons">
			<p:commandButton id="btn_save" action="#{studyController.doSaveMetaref}" value="#{facesContext.translate('button.approve')}" ajax="false" />
			<p:commandButton id="btn_edit" action="#{studyController.toEdit(studyModel.variable)}" value="#{facesContext.translate('button.cancel')}" ajax="false" immediate="true" />
		</ui:define>
		<ui:define name="help_de">
			Hier sind alle Zuordnungen von Prozessvariablen zur gewählten Variable aufgelistet. Bestehende Zuordnungen können durch Klicken des Papierkorb-Symbols gelöscht werden. Um eine weitere Prozessvariable zuzuordnen, klicken Sie auf <i>Hinzufügen</i>.
		</ui:define>
		<ui:define name="help_en">
			All process variable assignments of the selected variable are listed here. Existing assignments can be deleted by clicking the recycle bin-symbol. To newly assign a process variable, please click <i>add</i>.
		</ui:define>
	</ui:composition>
</h:body>
</html>